我国作为一个地震灾害多发的国家，高层、超高层建筑结构在地震作用下的安全问题显得尤为重要。为保证建筑物的抗震能力，新兴的性能化抗震设计要求对结构及构件在地震作用下的非线性行为作准确细致的量化描述；我国《建筑抗震设计规范》和《高层建筑混凝土结构技术规程》也对结构的地震位移、变形和内力等性能指标提出了量化控制要求。要实现这些性能设计目标，必须基于精细的结构弹塑性动力时程分析。<br />
对高层、超高层结构实施精细的弹塑性动力时程分析意味着海量规模的计算工作。以往，受软硬件计算能力的限制，同时也由于结构非线性问题的复杂性，工程师不得不以简化的模型和方法达成顺利求解。但是，粗糙并极有可能失真的分析结果只能提供大概的设计依据，实际往往还需依凭其他定性分析或经验判断实施具体设计，这样给结构的地震安全留下了不确定的隐患，并容易由于过保守估计而造成建筑材料等的巨大浪费。因此，计算分析能力是影响高层、超高层建筑结构抗震安全性能设计的重要瓶颈。<br />
在大量应用实践和技术探索的基础上，我们反思制约建筑结构大规模弹塑性动力时程分析实施的软硬件瓶颈，首次研发了千万自由度规模建筑结构GPU+CPU高性能精细化非线性并行分析系统—SAUSAGE。<br />
并行计算是提高大规模数据分析速度的唯一途径。与CPU相比，GPU（即显卡）处理任务的方式具有天然的并行特征，一个GPU几乎可同时并发执行千万个线程任务。SAUSAGE根据GPU并行计算的特点，创新性构造了具有针对性的数据结构和分析算法，通过一系列独特高效的数据访存策略，使有限元单刚计算、总刚集成以及方程组求解等通常耗时费力的计算任务变得非常快速高效，最终实现了计算速度和计算规模两方面的显著突破。<br />
SAUSAGE开发了一组低阶稳定的有限单元模型和一套高效健壮的计算分析策略。这些单元模型适于模拟混凝土、钢材质构件的空间非线性力学行为。尤其是对于大规模弹塑性动力时程分析，它们的健壮性、稳定性以及计算效率等均显著优于常见的高阶单元。同时由于求解速度和规模方面的突破，用户可用较细密的单元剖分改善非线性求解的精度。<br />
SAUSAGE的线单元（梁、柱和斜撑）在全长度采用精细的截面纤维积分策略，面单元（剪力墙、楼板）采用精细的分层积分策略，通过精细的材料点应力-应变弹塑性状态分析，使结构构件的弹塑性分析结果更具客观性和准确性，避免了常见的构件宏观弹塑性模型中弹塑性机制人为预设过多和粗糙失真等特点。<br />
SAUSAGE采用隐式分析方法来模拟高层结构的逐层施工过程。施工过程的找平、水平支撑的后装等均能按实际过程准确模拟。结构施工过程分析完毕后的应力状态，将作为地震波作用下结构弹塑性动力时程分析的初始应力状态。<br />
对于地震波作用下的结构弹塑性动力时程分析，SAUSAGE采用了适于模拟波动问题的精细步长显式动力直接积分方法（二阶中心差分），时间步长控制在10-5s数量级。<br />
SAUSAGE可以接力主流设计软件的模型数据和配筋数据，工程数据可自动转换为有限元分析模型，大大简化了用户的操作，提高了工作效率。<br />
在完成动力弹塑性分析后，SAUSAGE可自动输出结构超限分析报告需要的各种统计数据，如层间位移角曲线、层间剪力曲线等；可自动输出结构的位移、内力、应力、应变和材料损伤的云图，并进行各种动画显示。<br />
望广大用户在使用中多提意见和建议。工程分析中发现的问题，若未能通过电话咨询得到解决，则可通过E-mail将工程数据和问题情况发送给我们(support@sausg.cn)，我们将及时给予反馈解决。<br />
    <br />
    <br />
