软件适用范围<br />
结构类型：SAUSAGE软件适用于带楼层属性或空间建模的建筑结构，包括框架结构、剪力墙结构、框剪结构、框支结构、板柱剪力墙结构、框筒结构、筒中筒结构、空间结构以及带加强层、错层、连体等复杂结构形式。<br />
构件类型：软件可模拟由梁、柱、墙、斜撑和楼板等构件组建的建筑结构，支持带交叉撑的剪力墙构件、钢板连梁、带交叉暗撑连梁。<br />
材料：梁、柱、斜撑均可由混凝土、钢材以及钢筋等材料组成，支持钢筋混凝土楼板、带钢板的钢筋混凝土剪力墙构件。<br />
截面：目前可支持PMCAD中所有截面形式，基本包括了各种常见截面形式。2020及以上版本支持导入PKPM中定义的复杂截面。<br />
SAUSAGE软件基于三维数据结构，结合了平面建模与三维建模技术，对空间模型的建立没有限制。此外，SAUSAGE可无缝接入SATWE、PMSAP、YJK、midas Gen、ETABS、SAP2000等软件的结构模型数据，各软件导入具体限制参见4.3 节。<br />
一般约定<br />
在软件实现过程中，为了便于理解和使用，软件对一些功能和实现方法做了约定，这些统一约定也便于用户去理解和使用软件，具体约定如下：<br />
（1）为便于数据扩展并缩小文件规模、加快读取速度，按照用途将各类数据分别存储在不同的文件中，并根据不同的计算需求在工程文件的目录下自动创建UserData、StaticResult、EarthQuakeResult、Buckling、NLStaticResult五个文件夹以及其它一些过程文件；<br />
（2）文件名的定义：数据文件名=项目名+类型扩展名；<br />
（3）SAUSAGE软件根据上面约定生成一系列文件，主要文件说明如下：<br />
- 项目名.SSG：模型数据文件，包含了几何模型和配筋数据；<br />
- 项目名.MSG：各种命令的运行报告，文本文件；<br />
- 项目名.WRN：模型检查报告信息，文本文件；<br />
- 扩展名为BCR、BEM、COI、DEF、PAR的文件和NFORCESET.inp均为中间文件可不关注；<br />
- USERDATA文件夹：用户用到的数据文件，比如地震波文件等；<br />
- StaticResult文件夹：包含模态分析、竖向加载、最大频率计算的结果和过程文件；<br />
- EarthQuakeResult文件夹：动力时程分析计算的结果和过程文件；<br />
- Buckling文件夹：屈曲分析计算的结果和过程文件；<br />
- NLStaticResult文件夹：静力非线性分析计算的结果和过程文件；<br />
- *Bak文件夹：模型的中间备份文件。<br />
单位定义<br />
软件中用户输入数据与分析结果数据都是有确定物理意义的，遵照结构工程师的使用习惯，软件明确了各物理量的单位采用按kN-m-s制取值，见表11。<br />

|表11 SAUSAGE软件数据单位列表|
|-----|
|参量|单位|参量|单位|
|构件长度|m|时间|s|
|质量|kg|弹性模量|kN/m2|
|重度|kN/m3|线荷载|kN/m|
|加速度|m/s2|面荷载|kN/m2|
|速度|m/s|厚度|m|
|应力|kN/m2|截面尺寸|m|
|应变|1|角度|°(度)|
|力|kN|弯矩|kN•m|
|位移|m|能量|kJ|
|转角|1(弧度，rad)|||
局部坐标系<br />
SAUSAGE软件遵照工程师的使用习惯，建立了一套简便易行的坐标系统。有限元（包括前后处理，均一致）各坐标系均采用满足右手螺旋法则的笛卡尔正交坐标系，包括整体坐标系和单元局部坐标系。在前处理几何构件建模时构件的局部坐标系也与有限单元的局部坐标系一致。<br />
杆件单元局部空间直角坐标系xyz遵循右手螺旋法则。并约定杆件x方向为其轴向（梁与支撑单元的起始点i→终止点j为正、柱单元的下结点→上结点为正）。为了使梁的x正方向指向右方，程序将自动调整梁端点编码顺序。<br />
杆件的yz坐标同其参考截面的yz坐标系，定义杆件方向角为，绕+x轴按照右手螺旋法则，从0°方向角的截面位置旋转到指定截面位置的角度，如图11所示。方向角为0°时各杆件位置参见图12。<br />

|<img src="/uploads/dfas/images/image1.png" alt="" width="480"><br />
|<img src="/uploads/dfas/images/image2.png" alt="" width="474"><br />
|
|-----|-----|
图11 杆件单元旋转θ角前后的空间示意图<br />

|<img src="/uploads/dfas/images/image3.png" alt="" width="800"><br />
|<img src="/uploads/dfas/images/image4.png" alt="" width="800"><br />
|<img src="/uploads/dfas/images/image5.png" alt="" width="800"><br />
|
|-----|-----|-----|
|梁|斜撑|柱|
图12 方向角为0度的梁、柱、斜撑单元<br />
各类型杆件及单元0°方向角的具体约定如下：<br />
（1）梁单元：梁单元平行于整体坐标系X-Y平面。当方向角为0度时，单元局部坐标系+z轴向与整体坐标系+Z轴同向。<br />
（2）柱单元：柱单元垂直于整体坐标系X-Y平面（前处理中仅允许偏离Z轴一定微小的范围）。当方向角为0度时，单元局部坐标系+y轴向与整体坐标系+X轴同向。<br />
（3）斜撑单元：斜撑单元不垂直也不平行于整体坐标系X-Y平面。当方向角为0度时，截面局部坐标系的x-z平面平行于整体坐标系的Z轴，且+z轴朝上（当z轴水平时退化为柱单元）。<br />
板、壳单元局部空间直角坐标系遵循右手螺旋法则，单元节点按ijm（三角形）ijmk（四边形）连续编号。本节以三角形单元说明板壳单元的局部坐标系定义，参见图13。<br />
    <br />
<img src="/uploads/dfas/images/image6.png" alt="" width="800"><br />
<img src="/uploads/dfas/images/image7.png" alt="" width="800"><br />
<img src="/uploads/dfas/images/image8.png" alt="" width="800"><br />
图13 方向角为0度的板、墙单元<br />
(1) 板单元<br />
板单元通常平行于整体坐标系X-Y平面，其局部坐标系同整体坐标系；如果为斜板时，局部坐标系计算方法同空间墙单元。<br />
(1) 空间墙单元<br />
空间墙单元不同于上述两种情况，可处于任意形态。由相邻的两边为ij、im（四边形为ij、ik），按照向量积确定局部坐标系+z轴方向。局部坐标系x轴平行于单元平面与整体坐标系X-Y平面的相交线，且指向整体坐标轴+X的一侧。当空间墙平行于整体坐标系Y轴时，+X同+Y轴向。<br />
(1) 一般连接单元<br />
当一般连接单元平行于整体坐标系X-Y平面时，其1轴、2轴、3轴方向与梁单元局部坐标系x轴、y轴、z轴方向相同。当阻尼隔震单元平行于整体坐标系Z轴时，其1轴、2轴、3轴方向与柱单元局部坐标系x轴、y轴、z轴方向相同。当一般连接单元不平行也不垂直于整体坐标系X-Y平面时，其1轴、2轴、3轴方向与斜撑单元局部坐标系x轴、y轴、z轴方向相同。<br />
用户也可以通过视图窗口右侧工具栏中的按钮，查看构件的局部坐标系。<br />
<img src="/uploads/dfas/images/image10.png" alt="" width="61"><br />
