结构模型可以从SATWE模型、PMSAP模型、YJK模型、MIDAS模型、ETABS模型或SAP2000模型导入，同时SAUSAGE中也提供了创建、修改结构模型的功能。实际工程的模型是由构件的几何数据、配筋、荷载、约束等大量设计数据组成，除此之外还要满足设计规范的构造要求。全部模型数据都在本软件中输入不但效率低，而且常规设计中输入的信息和计算结果也没有充分利用。因此，强力推荐采用导入其它模型数据方式建模。<br />
菜单功能介绍<br />
主菜单包括以下菜单项：【文件】、【接口】、【建模编辑】、【属性修改】、【荷载】、【分析】、【初始结果】、【静力结果】、【动力结果】、【设计报告】【选项】。各个菜单功能见表41。本章将依次对各子菜单进行介绍。<br />

|表41 菜单功能|
|-----|
|菜单|功能|
|文件|提供文件相关操作，如新建模型、打开模型、保存模型、模型另存为、保存图片、保存视频等|
|接口|用于导入SATWE模型、PMSAP模型、MIDAS模型、ETABS模型、SAP2000模型以及YJK模型数据等，也可以导出ABAQUS模型数据，同时软件也支持对两个模型进行拼装|
|建模编辑|定义项目参数，输入轴网并建立构件|
|属性修改|查看或编辑构件相关信息及边界条件定义，如材料、截面、配筋率、约束等|
|荷载|用于定义荷载及荷载工况，显示荷载等|
|分析|提供竖向加载、最大频率、模态分析、屈曲分析、缺陷定义、地震时程分析、实时模态分析以及静力非线性分析等功能|
|初始结果|显示初始分析结果，包括竖向加载、振动分析和屈曲分析结果|
|动力结果|提供动力时程分析的楼层指标、构件损伤以及性能水平评价等结果|
|静力结果|提供静力非线性分析结果|
|设计报告|提供综合报告、构件刚度折减系数、构件配筋以及构件验算结果等|
|选项|用于设置模型窗口显示内容及显示效果|
|帮助|提供软件技术支持信息|
文件<br />
【文件】菜单项包括【新建】、【打开】、【保存】、【另存为】、【存为旧版】、【备份】、【文件夹】、【保存图片】、【保存视频】、【关闭】以及“最近使用的文档”和【退出】等基本操作，如图41所示。<br />
    <br />
<img src="/uploads/dfas/images/image125.png" alt="" width="436"><br />
图41 “文件”菜单列表<br />
各项功能介绍见表42。<br />

|表42 【文件】子菜单|
|-----|
|菜单|功能|
|新建|新建结构模型；|
|打开|打开一个已存在的模型，模型后缀名应为SSG；|
|保存|保存当前模型；|
|另存为|将当前模型另存为一个新的模型；|
|存为旧版|另保存当前模型为2020版；|
|备份|将当前模型进行备份；|
|文件夹|打开当前模型文件夹；|
|保存图片|把当前图形导出为bmp、jpg、gif格式图片；|
|保存视频|录制当前操作的视频；|
|关闭|关闭已打开的模型；|
|最近使用的文档|显示用户最近使用的模型数据。用户可设置不同的存储数目，设置方法为“选项”→“系统参数”→“结构缺省参数”→“最近打开的文件清单数量”；|
|退出|退出SAUSAGE软件；|
下面挑选常用功能进行介绍。点击菜单中【新建】命令，将出现如图42对话框，用户可指定新建项目名称与保存位置，点击【确定】后，出现【楼层初始化】对话框，如图43所示。用户可在此指定楼层数量、各层层高及首层标高等基本信息。<br />

|<img src="/uploads/dfas/images/image126.png" alt="" width="543"><br />
图42 “新建模型”对话框|<img src="/uploads/dfas/images/image127.png" alt="" width="498"><br />
图43 “楼层初始化”对话框|
|-----|-----|
点击【下一步】后出现“楼层数据”对话框，如图44所示。用户可独立编辑每一层的标高、楼层分组，并可进行楼层插入与删除操作。该对话框与【建模】→【定义楼层】操作给出的对话框相同，对于该对话框的功能介绍放在“4.4 建模编辑”节中。<br />
<br />
<img src="/uploads/dfas/images/image128.png" alt="" width="566"><br />
图44 “楼层数据”操作框<br />
模型接口<br />
接口菜单如图45所示，用于导入SATWE、PMSAP、MIDAS、ETABS、SAP2000以及YJK模型数据，或者导出ABAQUS模型文件，也可以对两个模型进行组装。<br />
    <br />
<img src="/uploads/dfas/images/image129.png" alt="" width="764"><br />
图45 “接口”菜单<br />
