【总信息】可用于设置结构构件的基本构造参数及地震信息。<br />
点击“总信息”出现图417信息列表，用户可通过该表对结构模型的参数进行初始设定。<br />
    <br />
<img src="/uploads/dfas/images/image142.png" alt="" width="511"><br />
图417 项目总信息对话框<br />
建模默认的保护层厚度、钢筋直径、配筋率均可由用户设定，其中各项设置介绍参见表43。需要说明的是，项目参数设置只在初始布置构件时有效，当模型建成后，修改某些参数将对模型不再有影响。用户可通过单击构件，在左上角“属性对话框”中进行设置。<br />

|表43 项目总信息功能介绍表|
|-----|
|项目|介绍|
|框架梁、柱、斜撑、板、墙保护层厚度|从混凝土表面到最外层钢筋 (包括箍筋、构造筋、分布筋等) 外边缘之间的最小距离。设置该项目后会影响钢筋在构件截面中的布置，用户可通过右击构件“属性”—“截面信息与配筋”项目进行查看|
|框架梁、柱、斜撑、板、墙缺省钢筋直径|各构件钢筋直径设置|
|框架梁、柱、斜撑、板、墙缺省配筋率|梁、柱、斜撑为单侧配筋率墙为水平、竖直单向配筋率板为板面、板底单侧配筋率|
|板、墙缺省厚度|程序默认的板、墙厚度|
|混凝土、钢材重度|混凝土、钢材单位体积的重量|
|墙混凝土缺省分层数|默认为6，指墙构件进行弹塑性分析时，软件将该构件沿厚度方向划分为6层|
|板混凝土缺省分层数|默认为1，指板构件进行弹塑性分析时，软件将该构件沿厚度方向划分为1层|
待模型建立后可通过鼠标右击构件在“截面信息及配筋”、“属性”项目中查看，该功能用户可参考4.6 节。<br />
这里对梁、柱、斜撑构件的配筋规则作以介绍。框架混凝土梁、工字型-钢骨混凝土梁，根据设置的面筋和底筋配筋率ρt、 ρb以及截面面积As，简化为8根钢筋，面筋和底筋各自采用3根相同直径的钢筋，腰筋采用两根D14钢筋，即：<br />
3根面筋半径<br />
3根底筋半径<br />
2根腰筋半径<br />
钢筋排布如图418所示。 <br />
    <br />
<img src="/uploads/dfas/images/image145.png" alt="" width="208"><br />
图418 钢筋位置示意图<br />
混凝土矩形柱、方钢管钢骨混凝土柱、工字型钢骨混凝土方柱、十字型钢骨混凝土方柱，根据设置的截面B、H方向配筋率，简化为8根钢筋，计算方法归纳如下：<br />
（1）根据B、H较长边计算配筋参数n，n=max(B，H)/0.2m+1，(n>=2)<br />
（2）4根角筋面积a=B*H*长边配筋率/n<br />
（3）2根长边中间钢筋面积b=max(B*H*长边配筋率-2*a，0)<br />
（4）2根短边中间钢筋面积c=max(B*H*短边配筋率-2*a，0)<br />
混凝土圆柱、圆钢管钢骨混凝土柱、十字型钢骨混凝土圆柱、工字型钢骨混凝土圆柱，根据设置的总配筋率，简化为8根等直径钢筋。<br />
【项目统计】用于列表显示模型规模信息，如构件和单元数目等，如图419所示。<br />
    <br />
<img src="/uploads/dfas/images/image146.png" alt="" width="519"><br />
图419 项目基本信息<br />
其中：<br />
“项目文件”指当前项目文件ssg的位置；<br />
“构件结点数”指该项目几何建模部分共有节点数；<br />
“结构线数”指项目几何建模中参与构件建立的线段数；<br />
“辅助线数”指几何建模中辅助构件建立的线段数；<br />
“框架梁构件数”指项目几何模型中框架梁数；<br />
“柱构件数”指项目几何模型中柱数；<br />
“斜撑构件数”指项目几何模型中斜撑数；<br />
“边缘构件数”指项目几何模型中边缘构件数；<br />
“虚梁构件数”指项目几何模型中虚梁构件数；<br />
“连梁纵筋构件数”指项目几何模型中连梁纵筋构件数；<br />
“一般连接构件数”项目几何模型中一般连接构件数；<br />
“楼板构件数”指项目几何模型中楼板数；<br />
“剪力墙构件数”指项目几何模型中剪力墙数；<br />
“楼层数”指项目几何模型中层数；<br />
“梁柱截面数”指项目几何模型中梁柱截面数；<br />
“材料数”指项目几何模型中材料种数；<br />
“单元节点数”指项目网格划分后模型中节点数；<br />
“梁单元数”指项目网格划分后模型中节点数；<br />
“三角形壳单元数”指项目网格划分后模型中三角形单元个数；<br />
“四边形壳单元数”指项目网格划分后模型中四边形单元个数。<br />
【材料荷载统计】用于列表显示结构、楼层、构件组的材料用量与荷载值，如图420所示。<br />
    <br />
<img src="/uploads/dfas/images/image147.png" alt="" width="702"><br />
图420 材料用量和荷载统计对话框<br />
其中楼层和构件的统计根据模型自动计算，而分组的统计需要先定义构件组才能有结果。结果可通过【导出Excel表】按钮导出到Excel中。<br />
其中楼层统计表如图421所示。<br />
    <br />
<img src="/uploads/dfas/images/image148.png" alt="" width="702"><br />
图421 楼层统计<br />
在该表中“混凝土质量”、“钢筋质量”、“钢材质量”分别表示各层三种材料对应构件的质量；“附加恒载”表示在构件上施加的恒荷载转化得到的质量值；“附加活载”表示在构件上施加的活荷载转化得到的质量值，该值考虑了活荷折减系数；“总恒载质量”为“混凝土质量”、“钢材质量”、“附加恒载”三者之和；“总荷载质量”为“混凝土质量”、“钢筋质量”、“钢材质量”、“附加恒载”和“附加活载”的总和。<br />
【材料列表】查看结构正在使用的材料，如图422所示。<br />
    <br />
<img src="/uploads/dfas/images/image149.png" alt="" width="402"><br />
图422 材料列表窗口<br />
【定义楼层】可对已建立的模型进行【插入楼层】、【删除楼层】、【相似层】等属性修改操作如图423所示。第0层是指建筑物的底面，它不是可使用楼层，其高度为0，但标高可以任意指定。其余楼层均包括竖向构件与该层楼面。<br />
    <br />
<img src="/uploads/dfas/images/image150.png" alt="" width="563"><br />
图423 定义楼层<br />
下面以一个八层框架为例对该操作项目进行实例说明。如图424所示，首先在5、6层间插入一个4米高的新楼层，命名为5-A。将1层删去，并指定5-A层至9层为GROUP2的“相似层”，即完成了楼层设置的操作。<br />
如果将楼层设定了“相似层”，并在【建模菜单】→【操作范围】中选择了“相似层”时，在对点、线、面、构件等带有几何属性的结构信息进行操作时候，同“相似层”楼层均进行了相同操作。而如配筋率、材料等级等非几何信息则不能应用于“相似层”操作。<br />
    <br />
<img src="/uploads/dfas/images/image150.png" alt="" width="563"><br />
<img src="/uploads/dfas/images/image151.png" alt="" width="561"><br />
图424 楼层操作<br />
 <br />
<img src="/uploads/dfas/images/image152.png" alt="" width="539"><br />
<img src="/uploads/dfas/images/image153.png" alt="" width="580"><br />
图425 构件组窗口操作示意图<br />
图425中，将平面图置于第五层，在楼层某处建立墙构件，在“相似层”项目激活状态下，建立墙构件，则在结构GROUP1楼层，均建立了墙构件。若将“相似层”设置为“全部楼层”、“本层”则墙构件将分别建立在所有楼层或者只在该层建立。<br />
【楼层参数】用于设置梁、柱、斜撑、楼板、墙柱、墙梁所用钢筋级别、混凝强度等级、钢材型号以及配筋率等，如图426所示。<br />
<br />
<img src="/uploads/dfas/images/image154.png" alt="" width="672"><br />
图426 设置楼层参数示意图<br />
【保存】用于保存楼层参数以便后续新建构件时使用。<br />
【更新模型】用于保存楼层参数以便后续新建构件时使用的同时更新已有构件参数。<br />
图427中首先以本手册“项目总信息”项进行设置，墙的水平配筋率是0.4%，对象属性可以查看其相应设置。然后在“设置楼层参数”中将墙的水平配筋率修改为0.8%，应用“更新模型”后，该构件的水平配筋率进行了相应修改。<br />
      <br />
<img src="/uploads/dfas/images/image155.png" alt="" width="262"><br />
<img src="/uploads/dfas/images/image156.png" alt="" width="390"><br />
<img src="/uploads/dfas/images/image157.png" alt="" width="262"><br />
图427 设置楼层参数操作示意图<br />
【自动生成】用于自动生成楼层数据。一般用于楼层数据定义有误的模型，重新生成楼层数据，仅影响结构楼层结果统计，对有限元分析模型没有影响。点击【建模编辑】→【全楼参数】→【楼层】→【自动生成】按钮，进入“自动生成楼层”对话框，如图428所示。软件自动根据节点的Z坐标对结构构件进行分层，层高小于“层高容差”的楼层将自动忽略，用户可对“层高容差”进行修改。用户可通过选择楼层点击【←】、【→】按钮删除或添加楼层列表，被删除的楼层表将与下层合并。<br />
    <br />
<img src="/uploads/dfas/images/image158.png" alt="" width="571"><br />
图428 自动生成楼层<br />
【选点生成】用于选点生成模型楼层数据。点击【建模编辑】→【全楼参数】→【楼层】→【选点生成】按钮，进入“选点生成楼层”对话框，如图429所示。点击【开始拾取】，然后在图形中拾取若干节点，软件自动根据所选节点的Z坐标对结构构件进行分层。拾取节点后，在下方列表中可显示各层标高以及各标高处的节点数。<br />
    <br />
<img src="/uploads/dfas/images/image159.png" alt="" width="343"><br />
图429 选点生成楼层<br />
