【性能评价】用于设置弹塑性分析性能评价方法。依次点击【分析】→【设置】→【性能评价】进入“性能评价标准”对话框，如图611所示。<br />
    <br />
<img src="/uploads/dfas/images/image396.png" alt="" width="626"><br />
图611 性能评价标准<br />
软件提供了四类性能评价方法：新默认值（RBS性能评价标准）、应变评价标准、构件位移角评价标准、默认值（2023）。其中应变评价标准可分别选取《建筑结构非线性分析技术标准》（T/CECS 906-2021）、《建筑结构抗倒塌标准》（CECS392:2021）、《建筑抗震韧性评价标准》（GB/T 38591-2020）和《建筑结构抗震性能化设计标准》（T/CECA 20024-2022）的推荐参数作为评价标准。<br />
## 新默认值（RBS性能评价标准）<br />
24版默认值（RBS性能评价标准）依据广州容柏生建筑结构设计事务所超限项目实践经验制定，如表61所示。<br />
表61 RBS性能评价标准<br />

|序号|性能水平|颜色|混凝土Sd|钢筋（钢材）ε/εy|
|-----|-----|-----|-----|-----|
|1|无损坏||-1|0|
|2|轻微损坏||-0.2|1|
|3|轻度损坏||0|3|
|4|中度损坏||0.2|5|
|5|重度损坏||0.5|7|
|6|严重损坏||0.75|12|
说明：<br />
1. Sd为混凝土受压强度退化系数，Sd=±(1-σc/fc)，压应力未达到峰值取负值，压应力超过峰值取正值；<br />
2. ε/εy为钢筋或钢材应变与屈服应变比值；<br />
3. 表中数值均为各性能水平的下限值，例如Sd在[0.2,0.5)范围内判定为中度损坏；<br />
4. 单元性能水平取单元各项指标对应的最大损坏性能水平；<br />
5. 梁、柱和板构件性能水平取各单元性能水平的最大值；<br />
6. 墙构件性能水平取各单元性能水平的最大值，并根据损伤范围进行修正：<br />
若构件中度及以上损伤横截面面积小于构件横截面总面积的20%，则构件性能水平降低一级；<br />
若构件中度及以上损伤横截面面积小于构件横截面总面积的50%，重度及以上损伤截面面积小于构件截面总面积的20%，则构件性能水平至多为中度损伤，否则至少为重度损伤。<br />
24版默认值（RBS性能评价标准）同时可以考虑对剪力墙构件合并进行性能评价，在“性能评价标准”对话框中勾选【按合成构件统计构件性能】即可，如图612所示，将自动对剪力墙构件进行合并按照合并后的构件进行构件性能评价。构件合并遵循以下原则：<br />
1. 剪力墙构件在同一结构层；<br />
2. 剪力墙构件长度方向（1轴方向）夹角小于15°；<br />
3. 可考虑剪力墙边缘构件。<br />
4. <br />
<img src="/uploads/dfas/images/image397.png" alt="" width="625"><br />
<img src="/uploads/dfas/images/image398.png" alt="" width="518"><br />
图612 构件合并<br />

|说明：构件合并信息可查看面模型目录下的CC.dat文件，文件格式说明如下：ID = 0 //合成构件ID	2D:	423(t=0.20)	445(t=0.20)	//二维构件ID和厚度	1D:		1627		1634		1645	//一维构件ID|
|-----|
## 应变评价标准<br />
应变评价标准基于混凝土应变和钢材应变进行构件性能评价。软件提供了四套评价参数供用户选择，分别参考《建筑结构非线性分析技术标准》（T/CECS906－2021）表C.1.2，《建筑结构抗倒塌设计标准》（CECS392:2021）表5.4.4-1，《建筑抗震韧性评价标准》（GB/T 38591-2020）表C.2和《建筑结构抗震性能化设计标准》（T/CECA 20024-2022）表7.3.10，如表62~表65所示。<br />
表62 应变评价标准-《建筑结构非线性分析技术标准》<br />

|序号|性能水平|颜色|混凝土ε/ε0|钢筋（钢材）ε/εy|
|-----|-----|-----|-----|-----|
|1|无损坏||0|0|
|2|轻微损坏||0.8|1|
|3|轻度损坏||1|2|
|4|中度损坏||1.35|4|
|5|重度损坏||2.175|7|
|6|严重损坏||3|13|
说明：<br />
1. ε/ε0为混凝土压应变与峰值应变比值；<br />
2. ε/εy为钢筋或钢材应变与屈服应变比值；<br />
3. 表中数值均为各性能水平的下限值，例如ε/εy在[0,1)范围内判定为无损坏（0级）；<br />
4. 单元性能水平取单元各项指标对应的最大损坏性能水平；<br />
5. 梁柱构件性能水平取各单元性能水平的最大值；<br />
6. 墙板构件性能水平取各单元性能水平最大值，并根据损伤范围进行修正：<br />
若混凝土ε/ε0>1的横截面面积大于构件横截面总面积的50%，则性能水平提高一级；<br />
若混凝土ε/ε0>1的横截面面积小于构件横截面总面积的20%，则性能水平降低一级。<br />
表63 应变评价标准-《建筑结构抗倒塌设计标准》<br />

|序号|性能水平|颜色|混凝土ε/ε0|钢筋（钢材）ε/εy|
|-----|-----|-----|-----|-----|
|1|无损坏||0|0|
|2|轻微损坏||1|1|
|3|轻度损坏||1|2.5|
|4|中度损坏||1.5|5|
|5|比较严重损坏||2|12.5|
|6|严重损坏||3|20|
说明：<br />
1. ε/ε0为混凝土压应变与峰值应变比值；<br />
2. ε/εy为钢筋或钢材应变与屈服应变比值；<br />
3. 表中数值均为各性能水平的下限值，例如ε/εy在[0,1)范围内判定为无损坏；<br />
4. 单元性能水平取单元各项指标对应的最大损坏性能水平；<br />
5. 梁柱构件性能水平取各单元性能水平的最大值；<br />
6. 墙板构件性能水平取各单元性能水平面积加权平均值，并根据损伤范围进行修正：<br />
若构件中度及以上损伤单元面积大于构件总面积的50%，则构件性能水平提高为严重损坏。<br />
表64 应变评价标准-《建筑抗震韧性评价标准》<br />

|序号|性能水平|颜色|混凝土ε/ε0|钢筋（钢材）ε/εy|
|-----|-----|-----|-----|-----|
|1|0级||0|0|
|2|1级||1|1|
|3|2级||1|2|
|4|3级||1.5|3.5|
|5|4级||3|12|
|6|5级||4.5|20|
说明：<br />
1. ε/ε0为混凝土压应变与峰值应变比值；<br />
2. ε/εy为钢筋或钢材应变与屈服应变比值；<br />
3. 表中数值均为各性能水平的下限值，例如ε/εy在[0,1)范围内判定为无损坏（0级）；<br />
4. 单元性能水平取单元各项指标对应的最大损坏性能水平；<br />
5. 梁柱构件性能水平取各单元性能水平的最大值；<br />
6. 墙板构件性能水平取各单元性能水平面积加权平均值，并根据损伤范围进行修正：<br />
若构件中度及以上损伤单元面积大于构件总面积的50%，则构件性能水平提高为最高级。<br />
表65 应变评价标准-《建筑结构抗震性能化设计标准》<br />

|序号|性能水平|颜色|混凝土ε/ε0|钢筋（钢材）ε/εy|
|-----|-----|-----|-----|-----|
|1|无损坏||0|0|
|2|轻微损坏||0.5|1|
|3|轻度损坏||1|3|
|4|中度损坏||1.5|6|
|5|重度损坏||3|12|
|6|严重损坏||4.5|20|
说明：<br />
1. ε/ε0为混凝土压应变与峰值应变比值；<br />
2. ε/εy为钢筋或钢材应变与屈服应变比值；<br />
3. 表中数值均为各性能水平的下限值，例如ε/εy在[0,1)范围内判定为无损坏（0级）；<br />
4. 单元性能水平取单元各项指标对应的最大损坏性能水平；<br />
5. 梁柱构件性能水平取各单元性能水平的最大值；<br />
6. 墙板构件性能水平取各单元性能水平面积加权平均值，并根据损伤范围进行修正：<br />
若混凝土ε/ε0>1的横截面面积大于构件横截面总面积的50%，则性能水平提高一级；<br />
若混凝土ε/ε0>1的横截面面积小于构件横截面总面积的20%，则性能水平降低一级。<br />
<br />
## 构件位移角评价标准<br />
构件位移角评价标准为构件层次的性能评价方法，基于构件宏观位移角和受力状态进行性能评价。评价标准参考《建筑结构非线性分析技术标准》（T/CECS906－2021）第C.1.5条和《建筑工程混凝土结构抗震性能设计规程》（DBJ/T15-151-2019）第7.3节。<br />
构件受力状态和宏观位移角计算详见第10.4.7 节介绍。构件性能水平与宏观位移角关系如表66~表68所示。<br />
表66 钢筋混凝土梁损坏等级与位移转角对应关系<br />

|构件参数|损坏等级与位移转角|
|-----|-----|
||无损坏|轻微损坏|轻度损坏|中度损坏|比较严重损坏|严重损坏|
||||||||
|弯曲损坏|≤0.2|≤0.001|0.004|0.010|0.011|0.013|0.014|0.017|
|||≥0.012|0.004|0.016|0.024|0.031|0.039|0.044|
||≥0.8|≤0.001|0.004|0.012|0.016|0.020|0.024|0.029|
|||≥0.012|0.004|0.018|0.029|0.039|0.049|0.054|
|弯剪损坏|≤0.5|≤0.0005|0.004|0.007|0.009|0.012|0.014|0.016|
|||≥0.008|0.004|0.009|0.014|0.019|0.024|0.026|
||≥2.5|≤0.0005|0.004|0.005|0.007|0.008|0.009|0.012|
|||≥0.008|0.004|0.007|0.009|0.012|0.014|0.016|
表67 钢筋混凝土柱损坏等级与位移转角对应关系<br />

|构件参数|损坏等级与位移转角|
|-----|-----|
||无损坏|轻微损坏|轻度损坏|中度损坏|比较严重损坏|严重损坏|
||||||||
|弯曲损坏|≤0.1|≤0.001|0.004|0.015|0.022|0.029|0.036|0.042|
|||≥0.021|0.004|0.018|0.027|0.037|0.046|0.056|
||=0.6|≤0.001|0.004|0.009|0.011|0.012|0.013|0.014|
|||≥0.021|0.004|0.013|0.018|0.022|0.027|0.030|
|弯剪损坏|≤0.1|≤0.6|0.003|0.013|0.020|0.026|0.033|0.040|
|||≥1.0|0.003|0.011|0.016|0.021|0.026|0.028|
||=0.6|≤0.6|0.003|0.009|0.011|0.014|0.016|0.018|
|||≥1.0|0.003|0.008|0.009|0.011|0.012|0.014|
表68 钢筋混凝土剪力墙损坏等级与位移转角对应关系<br />

|构件参数|损坏等级与位移转角|
|-----|-----|
||无损坏|轻微损坏|轻度损坏|中度损坏|比较严重损坏|严重损坏|
||||||||
|弯曲损坏|≤0.1|≤0.004|0.003|0.008|0.010|0.011|0.013|0.015|
|||≥0.025|0.003|0.011|0.016|0.022|0.025|0.028|
||=0.4|≤0.004|0.003|0.007|0.008|0.009|0.010|0.011|
|||≥0.025|0.003|0.010|0.013|0.017|0.020|0.022|
|弯剪损坏|≤0.1|≤0.5|0.003|0.013|0.020|0.026|0.033|0.040|
|||=2.0|0.003|0.008|0.010|0.011|0.013|0.015|
||=0.3|≤0.5|0.003|0.008|0.011|0.013|0.015|0.016|
|||=2.0|0.003|0.007|0.008|0.010|0.011|0.013|
    <br />
## 默认值(2023)<br />
性能评价标准默认值(2023)参考《动力弹塑性时程分析技术在建筑结构抗震设计中的应用》（2013）表7-3中的量化标准，并结合规范混凝土本构特点确定，如表69所示。<br />
表69 性能评价标准-默认值(2023)<br />

|序号|性能水平|颜色|梁柱εp/εy|梁柱Dc|梁柱Dt|墙板εp/εy|墙板Dc|墙板Dt|
|-----|-----|-----|-----|-----|-----|-----|-----|-----|
|1|无损坏||0|0|0|0|0|0|
|2|轻微损坏||0.001|0.001|0.2|0.001|0.001|0.2|
|3|轻度损坏||1|0.01|1|1|0.01|1|
|4|中度损坏||3|0.2|1|3|0.2|1|
|5|重度损坏||6|0.6|1|6|0.6|1|
|6|严重损坏||12|0.8|1|12|0.8|1|
说明：<br />
1. εp/εy为钢筋或钢材塑性应变与屈服应变比值；<br />
2. Dc为混凝土压缩损伤系数，Dt为混凝土拉伸损伤系数；<br />
3. 表中数值均为各性能水平的下限值，例如梁柱Dc在[0.2,0.6)范围内判定为中度损坏；<br />
4. 单元性能水平取单元各项指标对应的最大损坏性能水平；<br />
5. 梁柱构件性能水平取各单元性能水平的最大值；<br />
6. 墙板构件性能水平取各单元性能水平的面积加权平均值，并根据损伤范围进行修正：<br />
若构件中度及以上损伤单元面积大于构件总面积的50%，则构件性能水平提高为严重损坏。<br />
<br />
## 钢构件<br />
钢构件可单独考虑其评价标准，程序提供两种性能评价方法：基于应变、基于构件位移角。其中，基于应变的评价方法参考《建筑结构抗震性能化设计标准》（T/CECA 20024-2022）表7.4.1，基于构件位移角的评价方法参考《建筑结构抗倒塌设计标准》（CECS392:2021）表 A.2.5-2。<br />
基于应变<br />
    <br />
<img src="/uploads/dfas/images/image399.png" alt="" width="678"><br />
图613 基于应变的钢构件评价标准<br />
基于构件位移角<br />
    <br />
<img src="/uploads/dfas/images/image400.png" alt="" width="681"><br />
图614 基于构件位移角的钢构件评价标准<br />
