一个项目数据包括一组结构模型、多组工况组合。每个项目对应一个目录，用于存储模型数据和其它与项目相关的公用数据，目录名由用户任意指定。<br />
**工况组合**<br />
包括1个恒载工况系数、1个活载工况系数；3个地震波文件、3个地震波组合系数；暂不考虑风载及其它载荷。每个工况组合对应一个子目录，用于存储工况组合信息和计算结果，子目录名即为工况组合名。<br />
**基本工况**<br />
指恒载、活载、地震载荷、风载以及其它可能的载荷情况。基本工况数据若以文件方式存储，则必须放在UserData子目录，工况组合中用到的文件名采用相对路径。<br />
**构件组**<br />
由于计算结果的数据量巨大，如果全部输出必然会需要海量硬盘，耗费大量的读写时间，并且对于结构安全性评估来说大部分数据是无用的，因此一般需要用户自行指定需要输出的危险部位和输出参数，可以把具有相同输出属性的构件定义为一组，系统支持任意多组的输出组合，不同组的输出数据分别放在不同的文件中。<br />
**数据量估算**<br />
假设计算规模为70万结点，100万单元，分为30万步时程。<br />
结点位移：30万步*70万结点*6分量/结点*4字节/分量=5040G字节<br />
单元内力：30万步*100万单元*6分量/单元*4字节/分量=7200G字节<br />
单元损伤：30万步*100万单元*1分量/单元*4字节/分量=1200G字节<br />
如果输出缩减到200步，每结点3个位移分量，那么每个工况大约需要存储空间为：<br />
位移分量：200步*70万结点*3分量/单元*4字节/分量 =1.68G字节<br />
单元内力：200步*100万单元*6分量/单元*4字节/分量=4.8G字节<br />
单元损伤：200步*100万单元*1分量/单元*4字节/分量=0.8G字节<br />
**文件名格式**<br />
分组二进制文件名构成=项目名+“_”+分组名+“.”+扩展名<br />
不分组二进制文件=项目名+“.”+扩展名<br />
文本文件名=项目名+“.”+扩展名<br />
竖向载荷加载和动力加载分别存储，为两类不同的数据<br />
**项目目录结构**<br />
SAUSAGE项目目录结构如图131所示。<br />
    <br />
<img src="/uploads/dfas/images/image619.png" alt="" width="594"><br />
图131 SAUSAGE项目目录结构<br />
**文件扩展名定义**<br />
SAUSAGE文件扩展名按表11-1定义。<br />

|表131 SAUSAGE文件扩展名定义|
|-----|
|扩展名|类型|位置|分组|说明|
|SSG|文本|.|否|模型数据|
|MLB|文本|.|否|项目材料库|
|MCM|文本|.|否|修改模型属性用的指令历史记录|
|IDX|文本|.|否|输出数据的索引信息文件|
|PAR|文本|.|否|项目参数|
|MSG|文本|.|否|程序运行的临时信息|
|BCR|二进制|.|否|结点坐标|
|BEM|二进制|.|否|单元编码|
|COR|文本|.|否|结点坐标|
|ELM|文本|.|否|单元编码|
|MFQ|文本|StaticResult|否|最大频率文件|
|NSF|文本|StaticResult|否|支座反力|
|STW|文本|StaticResult|否|全楼总重|
|MOD|二进制|StaticResult|否|振型文件|
|FRQ|文本|StaticResult|否|频率文件|
|NSD|二进制|StaticResult|否|分施工阶段加载的位移文件|
|BDS|二进制|EarthQuakeResult|否|动力分析结点位移|
|BVE|二进制|EarthQuakeResult|否|动力分析结点速度|
|BAC|二进制|EarthQuakeResult|否|动力分析结点加速度|
|TMP|二进制|EarthQuakeResult|否|动力分析结点温度|
|SDR|二进制|EarthQuakeResult|否|层间位移角|
|SSH|二进制|EarthQuakeResult|否|层间剪力|
|ECR|二进制|EarthQuakeResult|是|混凝土损伤的强度折减系数|
|ERP|二进制|EarthQuakeResult|是|钢筋的塑性应变|
|ESP|二进制|EarthQuakeResult|是|钢材的塑性应变|
|EST|二进制|EarthQuakeResult|是|动力分析单元应变|
|ETT|二进制|EarthQuakeResult|是|动力分析单元应力|
|EFT|二进制|EarthQuakeResult|是|动力分析单元内力|
|EMT|二进制|EarthQuakeResult|否|用于楼层顶部竖向构件的内力输出，格式与选择集相同|
|EMB|二进制|EarthQuakeResult|否|用于楼层底部竖向构件的内力输出，格式与选择集相同|
