由于梁和柱的设计规范有很大不同，考虑以后的扩展性，将相同的几何形状但分别用于梁和柱的截面看作是不同的截面形式。不同类型截面不能混用，SAUSAGE中梁、柱截面及其参数分别见表9-2、表9-3和表9-4所示。<br />
截面按用途分为以下三类：<br />
梁截面；柱和斜撑截面；边缘构件、虚梁、连梁纵筋等辅助构件截面。<br />
梁、柱（斜撑）截面又分为四种材料类型：<br />
钢筋混凝土（RC）；型钢（ST）；钢管混凝土（CFT）；钢骨混凝土（SRC）。<br />
辅助构件截面只有一种材料类型：方钢管。<br />

|表132 SAUSAGE梁截面类型|
|-----|
|类型编号|截面类型名称|子截面顺序|
|1|混凝土梁|实心矩形混凝土|
|2|方钢管梁|方钢管|
|3|工字型钢梁|工字钢|
|4|方钢管混凝土梁|方钢管，实心矩形混凝土|
|5|工字型-钢骨混凝土梁|实心矩形混凝土，工字钢|
|6|混凝土工字梁|工字型混凝土|
|7|混凝土圆形梁|实心圆形混凝土|
|8|混凝土正多边形梁|正多边形混凝土|
|9|混凝土槽型梁|槽型混凝土|
|10|十字型混凝土梁（可以退化为T型）|十字型混凝土|
|11|混凝土矩形管梁|矩形管混凝土|
|12|混凝土双槽型梁|双槽型混凝土|
|13|混凝土十字工型梁|十字工型混凝土|
|14|梯形混凝土梁|梯形混凝土|
|15|圆钢管混凝土梁|圆钢管，实心圆形混凝土|
|16|方钢管-钢骨混凝土方梁|实心矩形混凝土，方钢管|
|17|十字工型-钢骨混凝土方梁|实心矩形混凝土，十字工型钢|
|18|变截面混凝土方梁|暂不支持，简化为方梁|
|19|L型混凝土梁|L型混凝土|
|20|圆型钢管-钢骨混凝土方梁|实心矩形混凝土，圆钢管|
|21|工字型-钢骨混凝土圆梁|实心圆形混凝土，工字型钢管|
|22|圆形钢管-钢骨混凝土圆梁|实心圆形混凝土，圆钢管|
|23|十字工型-钢骨混凝土圆梁|实心圆形混凝土，十字工型钢管|
|24|T型混凝土梁|T型混凝土|
|25|混凝土圆管梁|圆形空心混凝土|
|表133 SAUSAGE柱和斜撑截面类型|
|类型编号|截面类型名称|子截面顺序|
|100|任意组合截面柱||
|101|混凝土方柱|实心矩形混凝土|
|102|混凝土圆柱|实心圆形混凝土|
|103|方钢管柱|方钢管|
|104|圆钢管柱|圆钢管|
|105|工字型钢柱|工字钢|
|106|十字工型钢柱|十字工型钢|
|107|方钢管混凝土方柱|方钢管，实心矩形混凝土|
|108|圆钢管混凝土圆柱|圆钢管，实心圆形混凝土|
|109|方钢管-钢骨混凝土方柱|实心矩形混凝土，方钢管|
|110|工字型-钢骨混凝土方柱|实心矩形混凝土，工字钢|
|111|十字工型-钢骨混凝土方柱|实心矩形混凝土，十字工型钢|
|112|圆钢管-钢骨混凝土圆柱|实心圆形混凝土，圆钢管|
|113|工字型-钢骨混凝土圆柱|实心圆形混凝土，工字钢|
|114|十字工型-钢骨混凝土圆柱|实心圆形混凝土，十字工型钢|
|115|工字型混凝土柱|工字型混凝土|
|116|正多边形混凝土柱|正多边形混凝土|
|117|混凝土槽型柱|槽型混凝土|
|118|十字型混凝土柱（可以退化为T型）|十字型混凝土|
|119|混凝土矩形管柱|矩形管混凝土|
|120|混凝土双槽型柱|双槽型混凝土|
|121|混凝土十字工型柱|十字工型混凝土|
|122|梯形混凝土柱|梯形混凝土|
|123|变截面混凝土方柱|暂不支持，简化为方柱|
|124|L型混凝土柱|L形混凝土|
|125|混凝土圆管柱|圆形空心混凝土|
|199|自定义混凝土柱||
|200|方钢管（用于边缘构件/虚梁/纵筋等辅助构件）|方钢管|
纤维剖分参数隶属于截面，与具体构件的使用无关，不可以逐个构件去修改。<br />
配筋率隶属于构件，可以逐个构件进行修改。<br />
截面名称在同类构件的截面中具有惟一性，并作为检索依据，梁、柱截面名称可以相同。<br />
管状或薄壁截面一般为钢材，其尺寸符号为Hs、Bs。<br />
实心截面一般为混凝土，尺寸符号为B、H。<br />

|表134 SAUSAGE子截面形状代码及几何参数|
|-----|
|代码|形状|参数个数|几何参数意义及排列顺序|
|1|实心矩形|2|截面宽度B截面高度H|
|2|矩形管|6|截面总宽度Bs截面总高度Hs上翼缘厚度tf1下翼缘厚度tf2左腹板厚度tw1右腹板厚度tw2|
|3|实心圆|1|直径D|
|4|圆管|2|外直径Ds壁厚tw|
|5|工字形|6|截面总高度Hs腹板厚度tw上翼缘宽度B1上翼缘厚度tf1下翼缘宽度B2下翼缘厚度tf2（参考十字工型示意图）|
|6|十字工形|12|<img src="/uploads/dfas/images/image620.png" alt="" width="355"><br />
竖向工形总高度H1竖向工形腹板厚度tw1竖向工形上翼缘宽度B1竖向工形上翼缘厚度tf1竖向工形下翼缘宽度B2竖向工形下翼缘厚度tf2横向工形总高度H2横向工形腹板厚度tw2横向工形左翼缘宽度B3横向工形左翼缘厚度tf3横向工形右翼缘宽度B4横向工形右翼缘厚度tf4|
|7|一字形|5|任意截面有效：起点x坐标，起点y坐标终点x坐标，终点y坐标厚度|
|8|钢筋位置|3|任意截面有效：x坐标， y坐标；直径（mm）（此时构件不再支持纵筋属性，仍支持箍筋属性）|
|9|十字形|6|<img src="/uploads/dfas/images/image621.png" alt="" width="443"><br />
B，H，U，T，D，F注意：4个分支均允许退化|
|10|正多边形|2|<img src="/uploads/dfas/images/image622.png" alt="" width="697"><br />
B，N|
|11|槽型|6|<img src="/uploads/dfas/images/image623.png" alt="" width="697"><br />
B，H，U，T，D，F|
|12|双槽型|6|<img src="/uploads/dfas/images/image624.png" alt="" width="697"><br />
B，H，U，T，D，F|
|13|梯形|4|<img src="/uploads/dfas/images/image625.png" alt="" width="697"><br />
B，H，T，F|
|14|L形|4|<img src="/uploads/dfas/images/image626.png" alt="" width="697"><br />
B，H，D，F|
|15|T形|4|<img src="/uploads/dfas/images/image627.png" alt="" width="697"><br />
B，H，D，F|
截面特征参数的计算遵循以下原则：<br />
基本假设：组合截面坐标原点选在外包矩形的中心点。<br />
**计算截面面积：**<br />
截面面积，按混凝土和钢材范围分别积分。<br />
**计算有效剪切面积：**<br />
Asy：沿截面局部坐标系水平方向上的有效剪切面积。<br />
Asz：沿截面局部坐标系垂直方向上的有效剪切面积。<br />
**抗扭惯性矩：**<br />
1）计算开口型截面的抗扭刚度时，首先把截面划分成多个矩形截面，利用公式：<br />
    <br />
，（）<br />
计算每一个矩形截面的抗扭刚度，把每个矩形截面的抗扭刚度值取代数和就可以得到整个截面的抗扭刚度的近似值。<br />
2）对薄壁封闭型管(Tube)截面的抗扭刚度可按下面计算：<br />
<br />
式中：<br />
A：封闭管的截面面积。<br />
ds：截面任意位置上中和轴的微小长度。<br />
t：截面任意位置的厚度。<br />
各种形状的有效剪切面积计算公式见表9-5。<br />
一些典型截面的抗扭惯性矩见表9-6~表9-9。<br />
<br />
<img src="/uploads/dfas/images/image632.png" alt="" width="352"><br />
图132 抗扭惯性矩<br />
抗弯惯性矩：y轴抗弯惯性矩：<br />
z轴抗弯惯性矩：<br />
组合截面惯性矩：前处理程序分别提供混凝土和钢材截面的惯性矩，多材料组合截面的等效惯性矩由有限元计算程序进行处理。<br />
表135 各种形状的有效剪切面积计算式<br />

|截面形状|有效剪切面积|截面形状|有效剪切面积|
|-----|-----|-----|-----|
|<img src="/uploads/dfas/images/image635.png" alt="" width="316"><br />
||<img src="/uploads/dfas/images/image637.png" alt="" width="267"><br />
||
|<img src="/uploads/dfas/images/image639.png" alt="" width="266"><br />
||<img src="/uploads/dfas/images/image641.png" alt="" width="265"><br />
||
|<img src="/uploads/dfas/images/image643.png" alt="" width="239"><br />
||<img src="/uploads/dfas/images/image645.png" alt="" width="240"><br />
||
|<img src="/uploads/dfas/images/image647.png" alt="" width="263"><br />
||<img src="/uploads/dfas/images/image649.png" alt="" width="247"><br />
||
表136 实体截面的抗扭惯性矩<br />

|截面形状|抗扭惯性矩|截面形状|抗扭惯性矩|
|-----|-----|-----|-----|
|<img src="/uploads/dfas/images/image651.png" alt="" width="331"><br />
||<img src="/uploads/dfas/images/image653.png" alt="" width="255"><br />
||
|<img src="/uploads/dfas/images/image655.png" alt="" width="238"><br />
||
表137 封闭型薄壁截面的抗扭惯性矩<br />

|截面形状|抗扭惯性矩|截面形状|抗扭惯性矩|
|-----|-----|-----|-----|
|<img src="/uploads/dfas/images/image657.png" alt="" width="249"><br />
||<img src="/uploads/dfas/images/image659.png" alt="" width="260"><br />
||
表138 开口型厚壁截面的抗扭惯性矩<br />

|截面形状|抗扭惯性矩|
|-----|-----|
|<img src="/uploads/dfas/images/image661.png" alt="" width="284"><br />
||
|<img src="/uploads/dfas/images/image663.png" alt="" width="292"><br />
IF b<d：t=b，t1=dIF b>d：t=d，t1=b||
|<img src="/uploads/dfas/images/image665.png" alt="" width="276"><br />
|将槽型分割成两个L型，分别计算抗扭刚度后再相加。|
|<img src="/uploads/dfas/images/image666.png" alt="" width="355"><br />
IF b<d：t=b，t1=dIF b>d：t=d，t1=b||
表139 开口型薄壁截面的抗扭惯性矩<br />

|截面形状|抗扭惯性矩|
|-----|-----|
|<img src="/uploads/dfas/images/image668.png" alt="" width="285"><br />
||
|<img src="/uploads/dfas/images/image670.png" alt="" width="300"><br />
||
|<img src="/uploads/dfas/images/image672.png" alt="" width="343"><br />
||
