在有限元计算时，所有构件都要细化为单元。线构件剖分为一维梁单元，面构件剖分为二维壳单元。在单元积分时，几何上采用线性的平截面假定，对梁截面纤维或壳截面分层应用非线性应力-应变关系。<br />
**1) 纤维剖分参数及单元分类**<br />
普通截面纤维剖分与构件无关，只与截面类型有关，为便于并行计算开发，截面剖分数由程序内部统一规定，用户不能更改。梁单元纤维剖分数量、构件属性与单元类型对应表及适用范围分别见表1312~表1314，壳单元的分层剖分数量见表1315。<br />
构件铰接是指一端或两端铰接，对应的梁单元只能一端铰接（第二个点），主梁铰接端自动变为次梁单元。<br />
钢筋构件指用钢筋模拟的剪力墙边缘构件柱或连梁纵筋。<br />
梁构件的单向受弯和双向受弯是截面属性，不在梁构件中指定，而由截面的剖分方法体现。<br />
在数据接口中，梁截面根据混凝土纤维数目划分为三种：混凝土纤维（6×6）、混凝土纤维（2×6）、混凝土纤维（0×0），与有限元单元中梁的类型对应关系为：<br />
- 混凝土纤维（6×6）：双向混凝土梁，钢管混凝土梁，钢骨混凝土梁<br />
- 混凝土纤维（2×6）：单向混凝土梁<br />
- 混凝土纤维（0×0）：次梁（混凝土），次梁（型钢），次梁铰接（混凝土），次梁铰接（型钢），型钢<br />
表1312 梁单元纤维剖分数量表<br />

|单元类型|单元代号|混凝土纤维数|型钢纤维剖分数|钢筋|
|-----|-----|-----|-----|-----|
|单向受弯钢筋混凝土|1|12|0|8|
|双向受弯钢筋混凝土|2|36|0|8|
|型钢|4|0|16|0|
|钢管混凝土|8|36|24|0|
|钢骨混凝土|16|36|16|8|
|混凝土次梁|32|1|0|0|
|型钢次梁|64|0|1|0|
|混凝土次梁第二点铰接|128|1|0|0|
|型钢次梁第二点铰接|256|0|1|0|
|钢筋构件|512|0|0|1|
|混凝土次梁第一点铰接|1024|1|0|0|
|型钢次梁第一点铰接|2048|0|1|0|
|型钢次梁2个点铰接|16384|0|1|0|
表1313 构件属性与单元类型对应表<br />

|构件类型|梁|柱/撑|钢筋构件|
|-----|-----|-----|-----|
|材料类型|RC|ST|CFT|SRC|RC|ST|CFT|SRC|R|
|纤维剖分|单|双|1|双|1|双|双|双|双|1|双|双|1|
|连接类型|固|固|固|铰|固|固|铰|固|固|固|固|固|固|固|固|
|单元类型|1|2|32|1024128|4|64|204825616384|8|16|2|4|64|8|16|512|
说明：<br />
1、RC—混凝土，SRC—钢骨混凝土，ST—型钢，CFT—钢管混凝土，R—辅助构件；<br />
2、单元类型对应表1312。<br />
表1314 梁单元适用范围表<br />

|梁单元类型|主梁|次梁|柱、斜撑|边缘构件、虚梁、连梁纵筋|
|-----|-----|-----|-----|-----|
|单向受力钢筋混凝土|√||||
|双向受力钢筋混凝土|√||√||
|型钢|√||√||
|钢管混凝土|√||√||
|钢骨混凝土|√||√||
|混凝土次梁||√|||
|型钢次梁||√||√|
|混凝土次梁铰接||√|||
|型钢次梁铰接||√|||
表1315 壳单元的分层剖分数量表<br />

|截面类别|混凝土层|钢板层|钢筋层|
|-----|-----|-----|-----|
|板|1|0|2|
|钢筋混凝土墙|6|0|钢筋网层数×2|
|钢板混凝土墙|6|1|钢筋网层数×2|
|纯钢板墙|0|1|0|
|说明：程序支持纯钢板。|
**2) 纤维剖分方法**<br />
为了方便关注最外围纤维的受力情况，一般根据以下顺序优先排列前4根纤维：0-左上，1-右上，2-右下，3-左下。<br />
纤维是对连续截面的离散化处理，原则上在剖分前后应使截面的几何特征参数A、Asy、Asz、Iy、Iz、Jx保持不变。<br />
每根纤维有三个抽象几何参数，即纤维面积a、局部坐标y和局部坐标z，纤维不具有形状特征。很显然，由于每根纤维不具有形状特征，A、Asy、Asz这三个参数不变的条件不可能同时满足，所以只能放弃Asy、Asz不变的条件，仅维持A不变。<br />
通过适当调整每个纤维的坐标位置可以保证Iy、Iz、Jx在剖分前后保持不变。<br />
设纤维总数为n，并且每根纤维的面积a都相同。<br />
不失一般性，可以先对纤维进行平均剖分，得到每根纤维的初始坐标：<br />
(yi，zi)，i=1..n，然后根据上述条件对所有纤维相对于局部坐标原点进行线性调整：<br />
∆yi=kyyi，∆zi=kzzi      其中： i为纤维序号<br />
显而易见，如果ky=kz则自动满∆ri=krri的线性关系。<br />
根据不变的条件，得到下式：<br />
    <br />
将与纤维序号无关的项提到求和号外面：<br />
    <br />
令，这是所有纤维在初始位置下形成的惯性矩，代入上式，求解得到，<br />
，<br />
同理可求得∆yi：<br />
    <br />
若ky=kz=k，则，<br />
    <br />
此时满足Jx相等的条件，否则不满足。考虑到Jx的变化对单元受力的影响很小，这个条件可以放松，否则需要使用非线性映射调整每个纤维的位置。<br />
