SAUSAGE中的墙板等单元是平面应力单元，使用的混凝土材料是二维塑性损伤本构模型。<br />
**1) 混凝土塑性损伤本构特点**<br />
该混凝土塑性损伤本构模型是基于Lubliner等人[1]及Lee和Fenves[2]提出的混凝土损伤模型建立的，基本可较好地反应在不大于5fc（5倍单轴极限压应力）的静水压力下混凝土材料的力学行为（混凝土材料在非常高的静水压力下，其破坏是一种由于混凝土内部微结构的多孔坍塌而形成的固结行为，这种破坏模式反映混凝土在高围压下的延性特征，不再适用这里所描述的塑性损伤本构模型，而且建筑结构中的混凝土不可能达到如此高的围压），用其模拟混凝土可大致反映混凝土如下基本特征：<br />
- 不同的受压受拉屈服应力，受压屈服应力约为受拉屈服应力的10倍甚至更高<br />
- 受拉软化行为以及受压硬化及软化行为<br />
- 不同的受拉受压刚度退化特征<br />
- 往复加载时刚度有恢复的现象<br />
- 率敏感性，特别是应变率较大时峰值强度有所提高<br />
**2) 材料相关参数及变量说明**<br />
材料输入变量：<br />
：单元应力应变的弹性张量，二维四阶张量，取决于初始弹性模量E0和泊松比μ。<br />
：混凝土双向等压屈服压应力与单向屈服压应力比，一般介于1.10~1.16之间。<br />
：混凝土双向等拉屈服拉应力。<br />
：混凝土单向压应力骨架线，采用混凝土一维本构关系中的单向受压应力应变骨架线。<br />
：混凝土单向拉应力骨架线，采用混凝土一维本构关系中的单向受拉应力应变骨架线。<br />
：混凝土受拉损伤因子，与等效塑性拉应变相关。<br />
：混凝土受压损伤因子，与等效塑性压应变相关。<br />
：混凝土受拉转向受压时刚度恢复因子，0~1。<br />
：混凝土受压转向受拉时刚度恢复因子，0~1。<br />
：混凝土高围压下p-q面的扩散角。<br />
：混凝土流动势函数偏向渐进线的离心率。<br />
计算关键变量：<br />
：应力变量，矩阵形式为，主应力记为（从大到小）。<br />
：有效应力变量，，主有效应力记为（从大到小）。<br />
：有效内聚拉应力变量，。<br />
：有效内聚拉应力变量，。<br />
：损伤因子变量，0~1。<br />
：应变变量，可分解为弹性和塑性应变，。矩阵形式为，主应变记为（从大到小）。<br />
：应变率变量，可分解为弹性应变率和塑性应变率：；塑性应变主应变率记为（从大到小）。<br />
：等效塑性应变变量，。<br />
：等效塑性应变率变量，。<br />
**3) 强化变量及损伤因子说明**<br />
强化变量：<br />
该模型以等效塑性应变为强化变量，等效塑性应变率按文献Lee和Fenves[2]由下式计算得到：<br />
<br />
<br />
其中，<br />
，介于0~1之间。<br />
写成矩阵形式为：<br />
，<br />
或重组表示为：<br />
<br />
损伤因子变量：<br />
损伤因子变量d表示为：<br />
<br />
其中，、按下式计算：<br />
<br />
<br />
该损伤模型假定混凝土的弹性退化刚度是各向同性的，且可以表述为：<br />
<br />
进而，应力应变方程可以表示为损伤弹性关系式：<br />
<br />
**4) 屈服条件**<br />
模型采用有效应力和等效塑性应变表示的屈服函数F，是由Lubliner等人[1]提出，并结合Lee和Fenves考虑混凝土不同拉压强度演化而予以修正的最终表达式，如下所示：<br />
<br />
其中，参数：<br />
：，一般介于0.08~0.12之间<br />
：<br />
：有效静水围压力，平面应力下<br />
：Mises等效有效应力：<br />
<br />
平面应力下：<br />
<br />
平面应力下的屈服面如图1313所示。<br />
<br />
<img src="/uploads/dfas/images/image789.png" alt="" width="800"><br />
图1313 平面应力下混凝土材料的屈服面<br />
**5) 流动法则**<br />
模型采用非关联的势函数流动法则：<br />
<br />
流动势函数G采用Drucker-Prager双曲函数：<br />
<br />
其中：是待求变量。<br />
**6) 应力更新算法**<br />
SAUSAGE混凝土弹塑性损伤本构的应力更新采用完全隐式的Euler向后积分算法。在进入塑性的积分点，需要求解该位置的一组关于塑性应变增量实质为塑性因子的非线性方程组，如下式所示。、、、、为n时刻的应力、应变、塑性应变、塑性势函数和应变增量，、、、为n+1时刻的应变、塑性应变、硬化函数值、屈服函数值。采Newton-Raphson算法求解此方程组，并采用缩小增量步的方法提高求解的精度和收敛性。<br />
    <br />
此算法的几何解释，如图1314所示：<br />
    <br />
    <br />
    <br />
图1314 应力更新算法示意<br />
应变增量驱动弹性预测，得到试探应力；判断屈服后进行塑性修正，修正量为(为试探应力关于塑性势面的最近点的投射)。在弹性预测阶段，塑性应变和内变量保持保持不变；塑性修正阶段，总体应变不变。<br />
平面应力条件下，弹性矩阵：<br />
    <br />
采用Newton-Raphson法求解积分点的弹塑性应力更新中塑性应变增量，第n步迭代如下式所示：<br />
    <br />
求塑性因子，如下式所示<br />
    <br />
由流动法则式求得塑性应变增量：<br />
    <br />
更新塑性应变、弹性应变、应力。<br />
    <br />
    <br />
    <br />
