**材料本构**<br />
混凝土材料受压本构按照《混凝土结构设计规范》第C.2.4节计算，不考虑混凝土受拉强度。混凝土受压强度标准值和设计值分别依据《混凝土结构设计规范》表4.1.3-1和表4.1.4-1，混凝土受压强度极限值依据《建筑抗震设计规范》附录M，取立方强度的0.88倍。<br />
钢筋材料本构按照《混凝土结构设计规范》第C.1.2节计算，钢筋材料标准值和设计值分别依据《混凝土结构设计规范》表4.2.2-1和表4.2.3-1，极限值依据《建筑抗震设计规范》附录M，取屈服强度的1.25倍。<br />
钢材计算参数按照《钢结构设计标准》第4.4节规定。<br />
**计算方法**<br />
PMM曲线计算流程如图1333所示，首先确定加载方向θ(0°~360°)和截面中性轴坐标r（-∞~+∞）并计算中性轴截面极限转角，然后基于平截面假定和材料本构计算各纤维应变和应力，再后根据平衡方程计算截面内力，最后更新加载方向和中性轴坐标重复以上过程得到完整的PMM数据。<br />
    <br />
<img src="/uploads/dfas/images/image1332.png" alt="" width="363"><br />
图1333 PMM曲线计算流程<br />
截面受力和变形如图1334所示。根据平截面假定，纤维应变计算公式如下：<br />
    <br />
<img src="/uploads/dfas/images/image1333.png" alt="" width="184"><br />
    <br />
<img src="/uploads/dfas/images/image1334.png" alt="" width="182"><br />
截面内力计算公式如下（不考虑预应力钢筋）：<br />
    <br />
<img src="/uploads/dfas/images/image1335.png" alt="" width="135"><br />
    <br />
<img src="/uploads/dfas/images/image1336.png" alt="" width="173"><br />
    <br />
<img src="/uploads/dfas/images/image1337.png" alt="" width="174"><br />
     <br />
<img src="/uploads/dfas/images/image1338.jpeg" alt="" width="312"><br />
图1334 截面变形和受力示意图<br />
**承载力验算**<br />
对于偏心受力构件，构件抗弯承载力与构件轴力有关。通过PMM曲线可快速计算得到构件在对应轴力下的抗弯极限承载力。假设PMM空间中，如图1335 所示，某构件内力点为p0其轴力和弯矩值分别为P0、Mx0、My0，即其坐标为（P0,Mx0,My0）。以p0为起点，沿向量n（0,Mx0,My0）正负方向分别作射线，若正负向射线均与PMM曲面相交，则该内力点位于PMM曲面内部，构件内力小于极限承载力，两个交点p1（Pmax,Mxmax,Mymax）和p2（Pmin,Mxmin,Mymin）则对应截面在对应轴力作用下的极限抗弯承载力。<br />
    <br />
<img src="/uploads/dfas/images/image1339.jpeg" alt="" width="158"><br />
图1335 承载力计算示意图<br />
